#include "text.h"
#include <iostream>
#include <vector>
using namespace std;

void show_histogram_text (const vector<double>& bins,size_t MAX_ASTERISK, size_t bin_count){
    size_t bin_max = 0;
    size_t height = 0;
    for (double x : bins)
    {
        if (x > bin_max){bin_max = x;}
    }
    for (size_t i = bin_max; i > 0; i--)
    {
        for (size_t bin: bins)
        {
            if (i <= bin)
            {
                cout << " * ";
            }
            else
            {
                cout << "   ";
            }
        }
        cout << endl;
    }
    for (size_t bin: bins) cout << " _ ";
    cout << "\n";
    for (size_t i = 0; i< bin_max; i++)
    {
        cout << " " << bins[i] << " ";
    }
}
